package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

public class Knight extends Player {

    public Knight(String name, Weapon weapon, Armor armor) {
        super(name, 80, 20, weapon, armor);
    }

    @Override
    public void specialAbility(Entity target) {
        if (spendStamina(20)) {
            target.takeDamage(weapon.getDamage() * 2, this);
            target.setStunned(true);
            System.out.println(name + " Strikes The Enemy With His Sword!");
        }
    }
}
